# Awesome Activity Prediction: [![Awesome](https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg)](https://github.com/sindresorhus/awesome)
A paper list of Activity Prediction and related area resources, inspired by [awesome-computer-vision](https://github.com/jbhuang0604/awesome-computer-vision) and [awesome-action-recognition](https://github.com/jinwchoi/awesome-action-recognition/blob/master/README.md).  

## Contents
 - [Action Prediction In Early Stage](#action-prediction-in-early-stage)
 - [Activity Prediction](#activity-prediction)
 - [Event Prediction](#event-prediction)
 - [Human Trajectory Prediction](#human-trajectory-prediction)

## Action Prediction In Early Stage
* **Predicting the Future: A Jointly Learnt Model for Action Anticipation** [[Paper]](http://openaccess.thecvf.com/content_ICCV_2019/papers/Gammulle_Predicting_the_Future_A_Jointly_Learnt_Model_for_Action_Anticipation_ICCV_2019_paper.pdf)
  * H. Gammulle, S. Denman, S. Sridharan, C. Fookes, ***ICCV 2019***
* **Spatiotemporal Feature Residual Propagation for Action Prediction** [[Paper]](http://openaccess.thecvf.com/content_ICCV_2019/papers/Zhao_Spatiotemporal_Feature_Residual_Propagation_for_Action_Prediction_ICCV_2019_paper.pdf)
  * H. Zhao, R. P. Wildes, ***ICCV 2019***
* **Relational Action Forecasting** [[Paper]](http://openaccess.thecvf.com/content_CVPR_2019/papers/Sun_Relational_Action_Forecasting_CVPR_2019_paper.pdf)
  * C. Sun, A. Shrivastava, C. Vondrick, R. Sukthankar, K. Murphy, C. Schmid, ***CVPR 2019***
* **Progressive Teacher-student Learning for Early Action Prediction** [[Paper]](http://openaccess.thecvf.com/content_CVPR_2019/papers/Wang_Progressive_Teacher-Student_Learning_for_Early_Action_Prediction_CVPR_2019_paper.pdf)
  * X. Wang, J. F. Hu, J. H. Lai, J. Zhang, W. S. Zheng, ***CVPR 2019***
* **Action Anticipation with RBF Kernelized Feature Mapping RNN** [[Paper]](http://openaccess.thecvf.com/content_ECCV_2018/papers/Yuge_Shi_Action_Anticipation_with_ECCV_2018_paper.pdf)
  * Y. Shi, B. Fernando, R. Hartley, ***ECCV 2018*** 
* **Part-Activated Deep Reinforcement Learning for
Action Prediction** [[Paper]](http://openaccess.thecvf.com/content_ECCV_2018/papers/Lei_Chen_Part-Activated_Deep_Reinforcement_ECCV_2018_paper.pdf)
  * L. Chen, J. Lu, Z. Song, J. Zhou, ***ECCV 2018***
* **Temporal Relational Reasoning in Videos** [[Paper]](https://arxiv.org/pdf/1711.08496.pdf) [[Project]](http://relation.csail.mit.edu/) [[Code]](https://github.com/metalbubble/TRN-pytorch)
  * B. Zhou, A. Andonian, A. Oliva, A. Torralba, ***ECCV 2018***
* **Human Action Recognition and Prediction: A Survey** [[Paper]](https://arxiv.org/pdf/1806.11230v2.pdf)
  * Y. Kong, Y. Fu, ***arxiv 2018***
* **SSNet: Scale Selection Network for Online 3D Action Prediction** [[Paper]](http://openaccess.thecvf.com/content_cvpr_2018/papers/Liu_SSNet_Scale_Selection_CVPR_2018_paper.pdf)
  * J. Liu, A. Shahroudy, G. Wang, L. Y. Duan, A. C. Kot, ***CVPR 2018***
* **Action Prediction from Videos via Memorizing Hard-to-Predict Samples** [[Paper]](http://www1.ece.neu.edu/~yukong/papers/AAAI2018.pdf)  
  * Y. Kong, S. Gao, B. Sun, Y. Fu, ***AAAI 2018***
* **On Encoding Temporal Evolution for Real-time Action Prediction** [[Paper]](https://arxiv.org/ftp/arxiv/papers/1709/1709.07894.pdf)  
  * F. Rezazadegan, S.Shirazi, M. Baktashmotlagh, L. S. Davis, ***arXiv 2018***
* **Predictive Learning: Using Future Representation Learning Variantial Autoencoder for Human Action Prediction** [[Paper]]( https://arxiv.org/pdf/1711.09265v2.pdf)    
  * Y. Runsheng, S. Zhenyu, M. Qiongxiong, Q. Laiyun, ***arXiv 2017***
* **Encouraging LSTMs to Anticipate Actions Very Early** [[Paper]](https://arxiv.org/pdf/1703.07023.pdf)
  * M. S. Aliakbarian,  F. Saleh, M. Salzmann, B. Fernando, L. Petersson, L. Andersson, ***ICCV 2017***
* **Online Real-time Multiple Spatiotemporal Action Localisation and Prediction** [[Paper]](https://arxiv.org/pdf/1611.08563.pdf) [[Code]](https://github.com/gurkirt/realtime-action-detection)
  * G. Singh, S. Saha, M. Sapienza, P. Torr, F. Cuzzolin, ***ICCV 2017***
* **Visual Forecasting by Imitating Dynamics in Natural Sequences** [[Paper]](http://openaccess.thecvf.com/content_ICCV_2017/papers/Zeng_Visual_Forecasting_by_ICCV_2017_paper.pdf)
  * K. H. Zeng, W. B. Shen, D. A. Huang, M. Sun, J. C. Niebles, ***ICCV 2017***
* **Binary Coding for Partial Action Analysis with Limited Observation Ratios** [[Paper]](http://openaccess.thecvf.com/content_cvpr_2017/papers/Qin_Binary_Coding_for_CVPR_2017_paper.pdf)
  * J. Qin, L. Liu, L. Shao, B. Ni, C. Chen, F. Shen, Y. Wang, ***CVPR 2017***
* **Deep Sequential Context Networks for Action Prediction** [[Paper]](http://openaccess.thecvf.com/content_cvpr_2017/papers/Kong_Deep_Sequential_Context_CVPR_2017_paper.pdf)
  * Y. Kong, Z. Tao, Y. Fu, ***CVPR 2017***
* **RED: Reinforced Encoder-Decoder Networks for Action Anticipation** [[Paper]](https://arxiv.org/pdf/1707.04818.pdf)
  * J. Gao, Z. Yang, R. Nevatia, ***BMVC 2017***
* **Anticipating Visual Representations from Unlabeled Video** [[Paper]](https://arxiv.org/pdf/1504.08023.pdf) 
  * C. Vondrick, H. Pirsiavash, A. Torralba, ***CVPR 2016***
* **Learning Activity Progression in LSTMs for Activity Detection and Early Detection** [[Paper]](http://openaccess.thecvf.com/content_cvpr_2016/papers/Ma_Learning_Activity_Progression_CVPR_2016_paper.pdf)
  * S. Ma, L. Sigal, S. Sclaroff, ***CVPR 2016***
* **Deep Action- and Context-Aware Sequence Learning for Activity Recognition and Anticipation** [[Paper]](https://arxiv.org/pdf/1611.05520.pdf)
  * M. S. Aliakbarian, F. Saleh, B. Fernando, M. Salzmann, L. Petersson, L. Andersson, ***arxiv 2016***
* **A hierarchical representation for future action prediction** [[Paper]](http://cvgl.stanford.edu/papers/lan_eccv14.pdf)   
  * T. Lan, T. C. Chen, and S. Savarese, ***ECCV 2014*** 
* **A Discriminative Model with Multiple Temporal Scales for Action Prediction** [[Paper]](https://pdfs.semanticscholar.org/e2e7/c8c47a11cca7be8c1b6a70b61efd1bfeb30b.pdf)
  * Y. Kong, D. Kit, Y. Fu, ***ECCV 2014***
* **Human activity prediction: Early recognition of ongoing activities from streaming videos** [[Paper]](http://michaelryoo.com/papers/iccv11_prediction_ryoo.pdf)
  * M. S. Ryoo, ***ICCV 2011***

## Activity Prediction
* **Zero-Shot Anticipation for Instructional Activities** [[Paper]](http://openaccess.thecvf.com/content_ICCV_2019/papers/Sener_Zero-Shot_Anticipation_for_Instructional_Activities_ICCV_2019_paper.pdf)
  * F. Sener, A. Yao, ***ICCV 2019***
* **Time-Conditioned Action Anticipation in One Shot** [[Paper]](http://openaccess.thecvf.com/content_CVPR_2019/papers/Ke_Time-Conditioned_Action_Anticipation_in_One_Shot_CVPR_2019_paper.pdf)
  * Q. Ke, M. Fritz, B. Schiele, ***CVPR 2019***
* **Peeking into the Future: Predicting Future Person Activities and Locations in Videos** [[Paper]](http://openaccess.thecvf.com/content_CVPR_2019/papers/Liang_Peeking_Into_the_Future_Predicting_Future_Person_Activities_and_Locations_CVPR_2019_paper.pdf) [[Code]](https://github.com/google/next-prediction)
  * J. Liang, L. Jiang, J.C. Niebles, A. Hauptmann, L. Fei-Fei, ***CVPR 2019***
* **Egocentric Activity Prediction via Event Modulated Attention** [[Paper]](http://openaccess.thecvf.com/content_ECCV_2018/papers/Yang_Shen_Egocentric_Activity_Prediction_ECCV_2018_paper.pdf)
  * Y. Shen*, B. Ni*, Z. Li, N. Zhuang, ***ECCV 2018***
* **When will you do what? - Anticipating Temporal Occurrences of Activities** [[Paper]](https://arxiv.org/pdf/1804.00892.pdf) [[Code]](https://github.com/yabufarha/anticipating-activities)
  * Y. A. Farha, A. Richard, J. Gall, ***CVPR 2018***
* **First-Person Activity Forecasting with Online Inverse Reinforcement Learning** [[Paper]](https://arxiv.org/pdf/1612.07796.pdf) [[Project]](https://www.cs.cmu.edu/~nrhineha/darko.html)
  * N. Rhinehart, K. M. Kitani, ***ICCV 2017***
* **Joint Prediction of Activity Labels and Starting Times in Untrimmed Videos** [[Paper]](http://openaccess.thecvf.com/content_ICCV_2017/papers/Mahmud_Joint_Prediction_of_ICCV_2017_paper.pdf)
  * T. Mahmud, M. Hasan, A. K. Roy-Chowdhury, ***ICCV 2017***
* **Anticipating Daily Intention using On-Wrist Motion Triggered Sensing** [[Paper]](http://openaccess.thecvf.com/content_ICCV_2017/papers/Wu_Anticipating_Daily_Intention_ICCV_2017_paper.pdf) [[Project]](http://aliensunmin.github.io/project/intent-anticipate/)
  * T. Y. Wu*, T. A. Chien*, C. S. Chan, C. W. Hu, M. Sun, ***ICCV 2017***
* **Predicting Human Activities Using Stochastic Grammar** [[Paper]](http://openaccess.thecvf.com/content_ICCV_2017/papers/Qi_Predicting_Human_Activities_ICCV_2017_paper.pdf) [[Code]](https://github.com/SiyuanQi/grammar-activity-prediction)
  * S. Qi, S. Huang, P. Wei, S. C. Zhu, ***ICCV 2017***
* **Using Cross-Model EgoSupervision to Learn Cooperative Basketball Intention** [[Paper]](https://arxiv.org/pdf/1709.01630.pdf)
  * G. Bertasius, J. Shi, ***ICCV 2017 Workshop***
* **Long-Term Activity Forecasting using First-Person Vision** [[Paper]](http://www.cs.cmu.edu/~kkitani/pdf/BK-ACCV16.pdf)
  * S. Z. Bokhari, K. M. Kitani, ***ACCV 2016***
* **Recurrent Neural Networks for Driver Activity Anticipation via Sensory-Fusion Architecture** [[Paper]](https://arxiv.org/pdf/1509.05016.pdf)
  * A. Jain, A. Singh, H. S. Koppula, S. Soh, A. Saxena, ***ICRA 2016***

## Event Prediction
* **Anticipating Traffic Accidents with Adaptive Loss and Large-scale Incident DB** [[Paper]](https://arxiv.org/pdf/1804.02675.pdf)
  * T. Suzuki, H. Kataoka, Y. Aoki, Y. Satoh, ***CVPR 2018***
* **Agent-Centric Risk Assessment: Accident Anticipation and Risky Region Localization** [[Paper]](http://openaccess.thecvf.com/content_cvpr_2017/papers/Zeng_Agent-Centric_Risk_Assessment_CVPR_2017_paper.pdf)
  * K. H. Zeng, S. H. Chou, F. H. Chan, J. C. Niebles, M. Sun, ***CVPR 2017***
* **Anticipating accidents in dashcam videos** [[Paper]](https://yuxng.github.io/chan_accv16.pdf) [[Code]](https://github.com/smallcorgi/Anticipating-Accidents) [[Project]](https://aliensunmin.github.io/project/dashcam/)
  * F. H. Chan, Y. T. Chen, Y. Xiang, M. Sun, ***ACCV 2016***
* **Car that Knows Before You Do: Anticipating Maneuvers via Learning Temporal Driving Models** [[Paper]](https://arxiv.org/abs/1504.02789)
  * A. Jain, H. S. Koppula, B. Raghavan, S. Soh, A. Saxena, ***ICCV 2015***
  
## Human Trajectory Prediction
* **Looking to Relations for Future Trajectory Forecast** [[Paper]](http://openaccess.thecvf.com/content_ICCV_2019/papers/Choi_Looking_to_Relations_for_Future_Trajectory_Forecast_ICCV_2019_paper.pdf)
  * C. Choi, B. Dariush, ***ICCV 2019***
* **STGAT: Modeling Spatial-Temporal Interactions for Human Trajectory Prediction** [[Paper]](http://openaccess.thecvf.com/content_ICCV_2019/papers/Huang_STGAT_Modeling_Spatial-Temporal_Interactions_for_Human_Trajectory_Prediction_ICCV_2019_paper.pdf)
  * Y. Huang, H. Bi, Z. Li, T. Mao, Z. Wang, ***ICCV 2019***
* **Which Way Are You Going? Imitative Decision Learning for Path Forecasting in Dynamic Scenes** [[Paper]](http://openaccess.thecvf.com/content_CVPR_2019/papers/Li_Which_Way_Are_You_Going_Imitative_Decision_Learning_for_Path_CVPR_2019_paper.pdf)
  * Y. Li, ***CVPR 2019***
* **SR-LSTM: State Refinement for LSTM Towards Pedestrian Trajectory Prediction** [[Paper]](https://arxiv.org/pdf/1903.02793.pdf)
  * P. Zhang, W. Ouyang, P. Zhang, J. Xue, N. Zheng, ***CVPR 2019***
* **Multi-Agent Tensor Fusion for Contextual Trajectory Prediction** [[Paper]](http://openaccess.thecvf.com/content_CVPR_2019/papers/Sadeghian_SoPhie_An_Attentive_GAN_for_Predicting_Paths_Compliant_to_Social_CVPR_2019_paper.pdf)
  * T. Zhao, Y. Xu, M. Monfort, W. Choi, C. Baker, Y. Zhao, Y. Wang, Y. Nian Wu, ***CVPR 2019***
* **Peeking into the Future: Predicting Future Person Activities and Locations in Videos** [[Paper]](http://openaccess.thecvf.com/content_CVPR_2019/papers/Liang_Peeking_Into_the_Future_Predicting_Future_Person_Activities_and_Locations_CVPR_2019_paper.pdf)
  * J. Liang, L. Jiang, J.C. Niebles, A. Hauptmann, L. Fei-Fei, ***CVPR 2019***
* **Sophie: An attentive gan for predicting paths compliant to social and physical constraints** [[Paper]](http://openaccess.thecvf.com/content_CVPR_2019/papers/Sadeghian_SoPhie_An_Attentive_GAN_for_Predicting_Paths_Compliant_to_Social_CVPR_2019_paper.pdf)
  * A. Sadeghian, V. Kosaraju, A. Sadeghian, N. Hirose, H. Rezatofighi, S. Savarese, ***CVPR 2019***
* **Long-Term On-Board Prediction of People in Traffic Scenes under Uncertainty**[[Paper]](http://openaccess.thecvf.com/content_cvpr_2018/papers/Bhattacharyya_Long-Term_On-Board_Prediction_CVPR_2018_paper.pdf)
  * A. Bhattacharyya, M. Fritz, B. Schiele, ***CVPR 2018***
* **Encoding Crowd Interaction with Deep Neural Network
for Pedestrian Trajectory Prediction**[[Paper]](http://openaccess.thecvf.com/content_cvpr_2018/papers/Xu_Encoding_Crowd_Interaction_CVPR_2018_paper.pdf)  [[Code]](https://github.com/ShanghaiTechCVDL/CIDNN)
  * Y. Xu, Z. Piao, S. Gao, ***CVPR 2018***
* **Human Trajectory Prediction using Spatially aware Deep Attention Models** [[Paper]](https://arxiv.org/pdf/1705.09436.pdf)
  * D. Varshneya, G. Srinivasaraghavan, ***arxiv 2017***
* **Context-Aware Trajectory Prediction** [[Paper]](https://arxiv.org/pdf/1705.02503.pdf)
  * F. Bartoli, G. Lisanti, L. Ballan, A. D. Bimbo, ***arxiv 2017***  
* **Soft + Hardwired Attention: An LSTM Framework for Human Trajectory Prediction and Abnormal Event Detection** [[Paper]](https://arxiv.org/pdf/1702.05552.pdf) 
  * T. Fernando, S. Denman, S. Sridharan, C. Fookes, ***arxiv 2017***
* **Forecasting Interactive Dynamics of Pedestrians with Fictitious Play** [[Paper]](http://openaccess.thecvf.com/content_cvpr_2017/papers/Ma_Forecasting_Interactive_Dynamics_CVPR_2017_paper.pdf)
  * W. C. Ma, D. A. Huang, N. Lee, K. M. Kitani, ***CVPR 2017***
* **Social LSTM: Human Trajectory Prediction in Crowded Spaces** [[Paper]](http://cvgl.stanford.edu/papers/CVPR16_Social_LSTM.pdf)
  * A. Alahi∗, K. Goel*, V. Ramanathan, A. Robicquet, Li Fei-Fei, S. Savarese, ***CVPR 2016***

## Contributing
Feel free to send me [email](chinancheng0811@gmail.com) or Pull Request to add links. 

## Licenses

[![CC0](http://i.creativecommons.org/p/zero/1.0/88x31.png)](http://creativecommons.org/publicdomain/zero/1.0/)  

To the extent possible under law, [Chin-An Cheng](https://chinancheng.github.io/), [Ching-Ju Cheng](https://emc2k21mv2.wixsite.com/mysitehenry) has waived all copyright and related or neighboring rights to this work.


